Package org.eclipse.net4j.util.confirmation

## Enum Confirmation

- java.lang.Object
- - java.lang.Enum<Confirmation>
  - - org.eclipse.net4j.util.confirmation.Confirmation

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<Confirmation>`

      public enum Confirmation
      extends java.lang.Enum<Confirmation>

  An enumeration of possible answers to a request for confirmation.
  Since:
    3.4
  Author:
    Christian W. Damus (CEA LIST)
  See Also:
    `IConfirmationProvider`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CANCEL` |
    `NO` |
    `OK` |
    `YES` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Confirmation` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static Confirmation[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OK

          public static final Confirmation OK

    - #### CANCEL

          public static final Confirmation CANCEL

    - #### YES

          public static final Confirmation YES

    - #### NO

          public static final Confirmation NO

  - ### Method Detail

    - #### values

          public static Confirmation[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Confirmation c : Confirmation.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Confirmation valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null